InvalidOperationException: 'VersionXXX' is not a valid version for ProductVersion

  • 7920487
  • 27-Jan-2006
  • 27-Apr-2012

Environment

PlateSpin Migrate
PlateSpin Protect

Situation

 

After upgrading to the latest release of PowerConvert, the following error message is displayed when attempting to launch the PowerConvert Client:

 

Could not connect to http://<localhost or name of server>/powerconvert

InvalidOperationException:  There is an error in XML document (1,351).
InvalidOperationException:  'VersionXXX' is not a valid version for ProductVersion



 

Resolution

 

The above error will occur if the version of the PlateSpin Client does not correspond with the version of the PlateSpin Server that is installed.  To resolve the issue, please do the following:

  1. Uninstall the PlateSpin Client
  2. Install the corresponding PlateSpin Client using one of the following methods:

    i)  Connect to http://<localhost or server>/portabilitysuite    Click on the link that says "Download the PlateSpin Client here."

    ii)  Launch the client.setup.exe file from the \Program Files\PlateSpin Portability Suite Server\Web directory on the PlateSpin Server

Feedback service temporarily unavailable. For content questions or problems, please contact Support.